/*
 * /dev/urandom + /dev/random read
 */

#include <fcntl.h>
#include <unistd.h>

int main(void)
{
	int fd1 = open("/dev/urandom", O_RDONLY);
	if (fd1 >= 0) {
		char b[16];
		read(fd1, b, sizeof b);
		close(fd1);
	}
	int fd2 = open("/dev/random", O_RDONLY);
	if (fd2 >= 0) {
		char b[4];
		read(fd2, b, sizeof b);
		close(fd2);
	}
	return 0;
}
